org.jboss.jca.core.connectionmanager.pool.mcp

## Class ManagedConnectionPoolFactory

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.mcp.ManagedConnectionPoolFactory

-     public class ManagedConnectionPoolFactory
      extends java.lang.Object

  Factory to create a managed connection pool
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_IMPLEMENTATION` Default implementation
    `static java.lang.String` | `EXPERIMENTAL_IMPLEMENTATION` Experimental implementation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedConnectionPoolFactory()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedConnectionPool` | `create(javax.resource.spi.ManagedConnectionFactory mcf, ConnectionManager cm, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri, org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration pc, Pool p)` Create a managed connection pool using the default implementation strategy
    `ManagedConnectionPool` | `create(java.lang.String strategy, javax.resource.spi.ManagedConnectionFactory mcf, ConnectionManager cm, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri, org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration pc, Pool p)` Create a managed connection pool using a specific implementation strategy
    `java.lang.String` | `getDefaultImplementation()` Get the default implementation
    `boolean` | `isOverride()` Is override

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_IMPLEMENTATION

          public static final java.lang.String DEFAULT_IMPLEMENTATION

      Default implementation
      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_IMPLEMENTATION

          public static final java.lang.String EXPERIMENTAL_IMPLEMENTATION

      Experimental implementation
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManagedConnectionPoolFactory

          public ManagedConnectionPoolFactory()

      Constructor

  - ### Method Detail

    - #### getDefaultImplementation

          public java.lang.String getDefaultImplementation()

      Get the default implementation
      Returns:
        The value

    - #### isOverride

          public boolean isOverride()

      Is override
      Returns:
        The value

    - #### create

          public ManagedConnectionPool create(javax.resource.spi.ManagedConnectionFactory mcf,
                                              ConnectionManager cm,
                                              javax.security.auth.Subject subject,
                                              javax.resource.spi.ConnectionRequestInfo cri,
                                              org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration pc,
                                              Pool p)
                                       throws java.lang.Throwable

      Create a managed connection pool using the default implementation strategy
      Parameters:
        `mcf` - the managed connection factory
        `cm` - the connection manager
        `subject` - the subject
        `cri` - the connection request info
        `pc` - the pool configuration
        `p` - The pool
      Returns:
        The initialized managed connection pool
      Throws:
        `java.lang.Throwable` - Thrown in case of an error

    - #### create

          public ManagedConnectionPool create(java.lang.String strategy,
                                              javax.resource.spi.ManagedConnectionFactory mcf,
                                              ConnectionManager cm,
                                              javax.security.auth.Subject subject,
                                              javax.resource.spi.ConnectionRequestInfo cri,
                                              org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration pc,
                                              Pool p)
                                       throws java.lang.Throwable

      Create a managed connection pool using a specific implementation strategy
      Parameters:
        `strategy` - Fullt qualified class name for the managed connection pool strategy
        `mcf` - the managed connection factory
        `cm` - the connection manager
        `subject` - the subject
        `cri` - the connection request info
        `pc` - the pool configuration
        `p` - The pool
      Returns:
        The initialized managed connection pool
      Throws:
        `java.lang.Throwable` - Thrown in case of an error

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)